Skip to content

SSO

All operations require authentication.

4 operationsv1/me/identity
Agent setup

Get the identity provider linked to this accountProduction

GET
/1.0/me/identity/provider

Response

200Providersuccessful operation
creation
read-only
stringdate-time

Creation date of the identity provider

disableUsers
boolean

Whether account users should still be usable as a login method or not

extensions
ProviderExtensions

SAML Extensions to embed inside the SAML requests

groupAttributeName
string

SAML Group attribute name

idpSigningCertificates
read-only
Certificate[]

IdP's signing certificate

lastUpdate
read-only
stringdate-time

Last update of the identity provider

signRequests
boolean

Whether SAML Authn Requests should be signed

ssoServiceUrl
read-only
string

IdP's Single Sign On Service Url

userAttributeName
string

SAML User attribute name

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/me/identity/provider \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "creation": "2024-01-01T12:00:00Z", "disableUsers": true, "extensions": { "requestedAttributes": [ { "isRequired": true, "name": "string", "nameFormat": "string", "values": [ "string" ] } ] }, "groupAttributeName": "string", "idpSigningCertificates": [ { "expiration": "2024-01-01T12:00:00Z", "subject": "string" } ], "lastUpdate": "2024-01-01T12:00:00Z", "signRequests": true, "ssoServiceUrl": "string", "userAttributeName": "string"}

Define an identity provider (SAML 2.0)Production

POST
/1.0/me/identity/provider

Request body (required)

disableUsers
boolean

Whether account users should still be usable as a login method or not

extensions
ProviderExtensions

SAML Extensions to embed inside the SAML requests

groupAttributeName
string

SAML Group attribute name

metadata
required
string

IdP's signing certificate

signRequests
boolean

Whether SAML Authn Requests should be signed

userAttributeName
string

SAML User attribute name

Response

200Providersuccessful operation
creation
read-only
stringdate-time

Creation date of the identity provider

disableUsers
boolean

Whether account users should still be usable as a login method or not

extensions
ProviderExtensions

SAML Extensions to embed inside the SAML requests

groupAttributeName
string

SAML Group attribute name

idpSigningCertificates
read-only
Certificate[]

IdP's signing certificate

lastUpdate
read-only
stringdate-time

Last update of the identity provider

signRequests
boolean

Whether SAML Authn Requests should be signed

ssoServiceUrl
read-only
string

IdP's Single Sign On Service Url

userAttributeName
string

SAML User attribute name

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/me/identity/provider \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "creation": "2024-01-01T12:00:00Z", "disableUsers": true, "extensions": { "requestedAttributes": [ { "isRequired": true, "name": "string", "nameFormat": "string", "values": [ "string" ] } ] }, "groupAttributeName": "string", "idpSigningCertificates": [ { "expiration": "2024-01-01T12:00:00Z", "subject": "string" } ], "lastUpdate": "2024-01-01T12:00:00Z", "signRequests": true, "ssoServiceUrl": "string", "userAttributeName": "string"}

Alter the providerProduction

PUT
/1.0/me/identity/provider

Request body (required)

creation
read-only
stringdate-time

Creation date of the identity provider

disableUsers
boolean

Whether account users should still be usable as a login method or not

extensions
ProviderExtensions

SAML Extensions to embed inside the SAML requests

groupAttributeName
string

SAML Group attribute name

idpSigningCertificates
read-only
Certificate[]

IdP's signing certificate

lastUpdate
read-only
stringdate-time

Last update of the identity provider

signRequests
boolean

Whether SAML Authn Requests should be signed

ssoServiceUrl
read-only
string

IdP's Single Sign On Service Url

userAttributeName
string

SAML User attribute name

Response

200—successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/me/identity/provider \
  -H "authorization: Bearer $OVH_TOKEN"

Remove the identity providerProduction

DELETE
/1.0/me/identity/provider

Response

200—successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/me/identity/provider \
  -H "authorization: Bearer $OVH_TOKEN"